Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-29366

Update POI in all tools for 2.9

    XMLWordPrintable

    Details

    • Type: Task
    • Status: CLOSED
    • Priority: Critical
    • Resolution: No Resources
    • Affects Version/s: 2.9.x
    • Fix Version/s: None
    • Component/s: Release Management
    • Labels:
      None

      Description

      I'm not sure if anyone is still building 2.9, but it looks like something recently broke every tool that includes POI. It gets the following error on geronimo on tools that use POI 3.7.

      Project ID: null:project-config:pom:1.1

      Reason: Cannot find parent: org.apache.geronimo.genesis.config:config for project: null:project-config:pom:1.1 for project null:project-config:pom:1.1

      Upgrading to 3.9 or 3.10-FINAL looks to get around this, just a problem up to 3.8. It looks like there's a ton of POI upgrade jiras out there. Rather than merge them all I'd think every tool can be safely updated to a new version in 2.9 to keep that building.

      It also might not be quite as easy as updating the versions everywhere because some of them are transitive dependencies and some of them are properties.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                jonespm Matthew Jones
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code